<ui:composition
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="idSchemeFilterform" styleClass="form-horizontal">
        <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                       value="#{filterParam.filterUrlParameters}"/>
        <script>
            updateUrl("idSchemeFilterform:filterUrlParameters");
            $("#idSchemeFilterform\\:filterUrlParameters").bind('change',
                    function () {
                        updateUrl("idSchemeFilterform:filterUrlParameters");
                    });
        </script>
        <s:decorate template="/layout/panels/_panel_title.xhtml" styleClass="gzl-filter-panel">
            <ui:define name="panel_title">
                #{messages['net.ihe.gazelle.assertion-manager.AssertionFilter']}
                <span class="pull-right">
                    <a4j:commandLink title="#{messages['net.ihe.gazelle.assertion-manager.ResetFilter']}"
                                     actionListener="#{filterParam.clearFilter()}"
                                     render="#{idSchemeIdToRefresh},idSchemeFilterform">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </span>
            </ui:define>

            <div class="row">
                <s:div styleClass="col-md-6">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{filterParam}"/>
                        <ui:param name="filterId" value="scopeField"/>
                        <ui:param name="filterName"
                                  value="#{messages['net.ihe.gazelle.assertion-manager.Scope']}"/>
                        <ui:param name="filterForm" value="#{idSchemeIdToRefresh},idSchemeFilterform"/>
                    </ui:include>
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{filterParam}"/>

                        <ui:param name="filterId" value="idScheme"/>
                        <ui:param name="filterName"
                                  value="#{messages['net.ihe.gazelle.IdScheme']}"/>
                        <ui:param name="filterForm" value="#{idSchemeIdToRefresh},idSchemeFilterform"/>
                    </ui:include>
                </s:div>
                <s:div styleClass="col-md-6">
                    <ui:include src="/filter/filter.xhtml">
                        <ui:param name="filter" value="#{filterParam}"/>
                        <ui:param name="filterId" value="assertionId"/>
                        <ui:param name="filterName"
                                  value="#{messages['net.ihe.gazelle.assertion-manager.AssertionId']}"/>
                        <ui:param name="filterForm" value="#{idSchemeIdToRefresh},idSchemeFilterform"/>
                    </ui:include>
                </s:div>
            </div>

            <div class="row">
                <s:div styleClass="col-md-12">
                    <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.AppliedTo']}"
                                  style="color: grey;font-weight: bold;"/>
                    <h:selectManyCheckbox styleClass="filter-checkboxes"
                                          value="#{filterParam.appliedCheckboxes}">
                        <f:selectItems
                                value="#{filterParam.appliedCheckboxesValue}"/>
                        <a4j:ajax event="change" execute="@this"
                                  render="#{idSchemeIdToRefresh},idSchemeFilterform"/>
                    </h:selectManyCheckbox>
                </s:div>
            </div>
            <div class="row">
                <s:div styleClass="col-md-12">
                    <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.NotAppliedTo']}"
                                  style="color: grey;font-weight: bold;"/>
                    <h:selectManyCheckbox styleClass="filter-checkboxes"
                                          value="#{filterParam.notAppliedCheckboxes}">
                        <f:selectItems
                                value="#{filterParam.notAppliedCheckboxesValue}"/>
                        <a4j:ajax event="change" execute="@this"
                                  render="#{idSchemeIdToRefresh},idSchemeFilterform"/>
                    </h:selectManyCheckbox>
                </s:div>
            </div>
        </s:decorate>
    </h:form>
</ui:composition>
